Bug 460327 - GFS2: fsck complains about ondisk status 2 in pass 5
GFS2: fsck complains about ondisk status 2 in pass 5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 11:48 EDT by Nate Straz
Modified: 2010-01-11 22:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:52:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (1.15 KB, patch)
2008-08-28 15:42 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Nate Straz 2008-08-27 11:48:25 EDT
Description of problem:

After running a 12 hour load with creat, mkdir, rmdir, rename, and unlink I umounted the file system and ran gfs2_fsck to make sure the file system was still clean.  I got the following complaints from gfs2_fsck:

Starting pass5
Ondisk and fsck bitmaps differ at block 25460 (0x6374) 
Ondisk status is 2 (Invalid) but FSCK thinks it should be 0 (Free)
Metadata type is 0 (free)
Fix bitmap for block 25460 (0x6374) ? (y/n) n
Bitmap at block 25460 (0x6374) left inconsistent
Ondisk and fsck bitmaps differ at block 25463 (0x6377) 
Ondisk status is 2 (Invalid) but FSCK thinks it should be 0 (Free)
Metadata type is 0 (free)
Fix bitmap for block 25463 (0x6377) ? (y/n)

Steve said on IRC that 2 is unlinked but still allocated, which is a valid state.


Version-Release number of selected component (if applicable):
gfs2-utils-0.1.44-1.el5
kernel-2.6.18-104.el5


How reproducible:
Unknown, probably easily.
Comment 2 Robert Peterson 2008-08-28 15:42:24 EDT
Created attachment 315289 [details]
Patch to fix the problem

Here is the RHEL5 patch to fix the problem.
Comment 3 Robert Peterson 2008-08-28 16:07:16 EDT
This was tested on system roth-01, and pushed to the master, STABLE2
and RHEL5 branches of the cluster git tree.  Changing status to
Modified.
Comment 5 Nate Straz 2008-12-09 12:26:39 EST
Verified this did not occur with kernel-2.6.18-125.el5 and gfs2-utils-0.1.51-1.el5.
Comment 7 errata-xmlrpc 2009-01-20 15:52:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0087.html

Note You need to log in before you can comment on or make changes to this bug.